<template>
    <component
        :is="layout"
    >
        <transition
            name="fade"
            mode="out-in"
        >
            <router-view />
        </transition>
    </component>
</template>

<script>

import DashboardLayout from "../layouts/DashboardLayout";
import Auth from "../layouts/Auth";
import SetupLayout from "../layouts/SetupLayout";
import SuperAdminLayout from "../layouts/SuperAdminLayout";

export default {
    components: {
        DashboardLayout,
        Auth,
        SetupLayout,
        SuperAdminLayout,
    },
    computed: {
        layout() {
            return this.$route.meta.layout
        }
    },
}
</script>
<style scoped>

</style>
